| Crypto-3.0.3: DES, Blowfish, AES, SHA1, MD5, RSA, X.509 Identity and Attribute Certificates, General ASN.1 Support, Base64, PKCS8, PKCS1v15, Hexdump, Support for Word128, Word192 and Word256 and Beyond, PKCS5 Padding, Various Encryption Modes e.g. Cipher Block Chaining all in one package. | Contents | Index
Codec.Binary.Base64 |
Portability | portable
Stability | experimental
Maintainer | dominic.steinitz@blueyonder.co.uk
Description
Base64 encoding and decoding functions provided by Warwick Gray. See http://homepages.paradise.net.nz/warrickg/haskell/http/#base64 and http://www.faqs.org/rfcs/rfc2045.html.
Synopsis
encode :: [Octet] -> String
decode :: String -> [Octet]
chop72 :: String -> String
Documentation
encode :: [Octet] -> String
decode :: String -> [Octet]
chop72 :: String -> String
Cut up a string into 72 char lines, each line terminated by CRLF.
Produced by Haddock version 0.8